Package com.logicaldoc.core.document

# Class Bookmark

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.document.Bookmark

All Implemented Interfaces:
  `Serializable`

@Entity public class Bookmark extends PersistentObject
A bookmark over a document

Since:
  5.2
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_DOCUMENT`
`static final int`
`TYPE_FOLDER`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Bookmark()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDescription()`
`String`
`getFileType()`
`String`
`getIcon()`
The icon for the document associated to the subscription
`String`
`getPath()`
The path of the document associated to the bookmark.
`int`
`getPosition()`
`long`
`getTargetId()`
`String`
`getTitle()`
`int`
`getType()`
`long`
`getUserId()`
`int`
`hashCode()`
`void`
`setDescription(String description)`
`void`
`setFileType(String fileType)`
`void`
`setPosition(int position)`
`void`
`setTargetId(long targetId)`
`void`
`setTitle(String title)`
`void`
`setType(int type)`
`void`
`setUserId(long userId)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_DOCUMENT

public static final int TYPE_DOCUMENT

See Also:
  - Constant Field Values

### TYPE_FOLDER

public static final int TYPE_FOLDER

See Also:
  - Constant Field Values

## Constructor Details

### Bookmark

public Bookmark()

## Method Details

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getTargetId

public long getTargetId()

### setTargetId

public void setTargetId(long targetId)

### getTitle

public String getTitle()

### setTitle

public void setTitle(String title)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getPosition

public int getPosition()

### setPosition

public void setPosition(int position)

### getFileType

public String getFileType()

### setFileType

public void setFileType(String fileType)

### getIcon

public String getIcon()
The icon for the document associated to the subscription

Returns:
  name of the icon file

### getPath

public String getPath()
The path of the document associated to the bookmark.

Returns:
  full path to the document

### getType

public int getType()

### setType

public void setType(int type)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`